Skip to main content

Base URL

https://{subdomain}.unicyfalcon.com/api/v1
Replace {subdomain} with your organization’s subdomain.

Authentication

All endpoints require HMAC-SHA256 authentication. See Authentication Guide for details.

Available Resources

Response Format

All successful responses follow this format:
{
  "success": true,
  "data": [...],
  "meta": {
    "current_page": 1,
    "per_page": 15,
    "total": 100
  },
  "links": {
    "first": "https://...",
    "last": "https://...",
    "prev": null,
    "next": "https://..."
  }
}

Error Format

Error responses follow this structure:
{
  "success": false,
  "error": "error_code",
  "message": "Human-readable error message",
  "details": {
    "field": ["Validation error message"]
  }
}

HTTP Status Codes

CodeDescription
200Success
201Resource created
400Bad request
401Unauthorized
403Forbidden (insufficient plan)
404Resource not found
422Validation error
429Rate limit exceeded
500Server error

Pagination

List endpoints support pagination:
  • per_page (int): Items per page (default: 15, max: 100)
  • page (int): Page number (default: 1)
Example:
GET /api/v1/customers?per_page=50&page=2
Most endpoints support filtering and search parameters. See individual endpoint documentation for details.